##############################################################################
#
#	Copyright (c) Geoworks 1992 -- All Rights Reserved
#
# PROJECT:	GEOS
# MODULE:	Levels (Sample GEOS application)
# FILE:		levels.gp
#
# AUTHOR:	John D. Mitchell, 92.10.07
#
# Parameters file for:  levels.geo
#
#	$Id: levels.gp,v 1.2.7.3 94/01/20 22:51:09 jenny Exp $
#
##############################################################################
#
# Permanent name
#
name levels.app
#
# Long name
#
longname "C UI Levels"
#
# Desktop-related definitions
#
tokenchars "SAMP"
tokenid 8
#
# Specify geode type
#
type	appl, process
#
# Specify class name for process
#
class	LevelsProcessClass
#
# Specify application object
#
appobj	LevelsApplication
#
# Heapspace: This is roughly the non-discardable memory usage (in words)
# of the application and any transient libraries that it depends on,
# plus an additional amount for thread activity. To find the heapspace
# for an application, use the Swat "heapspace" command.
#
heapspace 5055
#
# Import library routine definitions
#
library	geos
library	ui
library	text
library	ansic
#
# Define resources other than standard discardable code
#
resource STRINGS lmem read-only shared
resource APPRESOURCE	ui-object
resource INTERFACE	ui-object
resource OPTIONSMENUUI	ui-object
resource USERLEVELUI	ui-object
#
# Export classes: list classes which are defined by the application here.
#
export	LevelsApplicationClass
