COMMENT @%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

	Copyright (c) GeoWorks 1992 -- All Rights Reserved

PROJECT:	PC GEOS
MODULE:		Common power management code
FILE:		powerStrings.asm

AUTHOR:		Tony Requist

ROUTINES:
	Name			Description
	----			-----------

	
REVISION HISTORY:
	Name	Date		Description
	----	----		-----------
	Tony	4/22/93		Initial revision

DESCRIPTION:
	This is common battery code

	$Id: nopowerStrings.asm,v 1.1.2.4 93/06/28 13:28:21 tony Exp $

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%@

StringsUI segment lmem LMEM_TYPE_GENERAL

; PW_MAIN_BATTERY
MainWarningString	chunk.char	\
	"The main battery is low.", 0

; PW_BACKUP_BATTERY
	chunk.char	\
	"The backup battery is low.", 0

; PW_PCMCIA_SLOT_1_BATTERY
	chunk.char	\
	"The battery in the card in slot 1 is low.", 0

; PW_PCMCIA_SLOT_2_BATTERY
	chunk.char	\
	"The battery in the card in slot 2 is low.", 0

; PW_PCMCIA_SLOT_3_BATTERY
	chunk.char	\
	"The battery in the card in slot 3 is low.", 0

; PW_PCMCIA_SLOT_4_BATTERY
	chunk.char	\
	"The battery in the card in slot 4 is low.", 0

; PW_NO_POWER_SAMPLE_CUSTOM_WARNING
	chunk.char	\
	"This is a sample of a custom warning.", 0

; Open port strings
OpenCOM1String	chunk.char	"Power Driver: Opening COM1...", 0
OpenCOM2String	chunk.char	"Power Driver: Opening COM2...", 0
OpenCOM3String	chunk.char	"Power Driver: Opening COM3...", 0
OpenCOM4String	chunk.char	"Power Driver: Opening COM4...", 0

OpenLPT1String	chunk.char	"Power Driver: Opening LPT1...", 0
OpenLPT2String	chunk.char	"Power Driver: Opening LPT2...", 0
OpenLPT3String	chunk.char	"Power Driver: Opening LPT3...", 0

CardStillInUseString	chunk.char	\
	"Please reinsert the card you just removed. The system is still using ",
	"files located on that card.  If you will wait a moment, the files ",
	"will be closed and you'll be able to safely remove the card.", 0

MustRebootString	chunk.char	\
	"Something is still using that card, and refuses to stop, so ",
	"the unit must be reboot.  You may want to remove the card while the ",
	"machine reboots.", 0

CardMayBeRemovedString	chunk.char	\
	"You may now safely remove the card. Thank you for your patience.\r\r",
	"If you now wish to continue using this card, you will have to ",
	"flip the lock switch off and then on again.", 0

StringsUI ends
