##############################################################################
#
# 	Copyright (c) Berkeley Softworks 1989 -- All Rights Reserved
#
# PROJECT:	PC GEOS
# MODULE:	Com43 -- special makefile rules
# FILE: 	local.mk
# AUTHOR: 	Adam de Boor, June 23, 1989
#
# TARGETS:
# 	Name			Description
#	----			-----------
#
# REVISION HISTORY:
#	Name	Date		Description
#	----	----		-----------
#	ardeb	6/23/89		Initial Revision
#
# DESCRIPTION:
#	Special rules for Com43 and attendant programs
#
#	$Id: local.mk,v 1.1 92/08/12 21:31:30 jimmy Exp $
#
###############################################################################

NO_EC=1
GSUFF = "COM"

#include    <$(SYSMAKEFILE)>

.PATH.asm		: 
.PATH.def		: 

#
# Rules for creating PC side of the link. -i given to allow I/O instructions
#
ASMFLAGS	+= -i -wassume -DCOM_PROG

######################################################################
#	    	pcccom
######################################################################
pccomOBJS	= pccom.obj swat.obj common.obj scr.obj file.obj mouse.obj\
                  com.obj kbd.obj dta.obj

######################################################################
#	    pcsend.obj must be first on the following line
######################################################################
PCSOBJS		= pcsend.obj main.obj com.obj common.obj

######################################################################
#	    pcget.obj must be first on the following line
######################################################################
PCGOBJS		= pcget.obj main.obj com.obj common.obj

pcsend.com	: $(PCSOBJS)	 LINK
pcget.com	: $(PCGOBJS)   	 LINK
pccom.com	: $(pccomOBJS)	LINK

pcsend		: pcsend.com
pcget		: pcget.com
pccom		: pccom.com
pcall		: pcsend pcget pccom
