##############################################################################
#
#	Copyright (c) Geoworks 1991-92 -- All Rights Reserved
#
# PROJECT:	Sample Applications
# MODULE:	GenDisplay Variety Show
# FILE:		gendisp.gp
#
# AUTHOR:	Eric E. Del Sesto, 11/90
#
# DESCRIPTION:	This file contains Geode definitions for the "GenDisp" sample
#		application. This file is read by the Glue linker to
#		build this application.
#
#	$Id: gendisp.gp,v 1.3.19.3 94/01/20 22:16:34 jenny Exp $
#
##############################################################################
#
name gendisp.app
#
longname "C GenDisp"
#
type	appl, process, single
#
class	GenDispProcessClass
#
appobj	GenDispApp
#
tokenchars "SAMP"
tokenid 8
#
# Heapspace: This is roughly the non-discardable memory usage (in words)
# of the application and any transient libraries that it depends on,
# plus an additional amount for thread activity. To find the heapspace
# for an application, use the Swat "heapspace" command.
#
heapspace 3776
#
library	geos
library	ui
#
resource APPRESOURCE object
resource INTERFACE object





